/* #region General Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
    word-break: break-word;
    font-size: .9rem;
}

html,
body {
    height: 100%;
    color: #000;
    background-color: #fff;
    text-align: center;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1 0 auto;
}

footer {
    flex-shrink: 0;
}

h1 {
    font-size: 1.5rem;
    margin: 10px;
}

p {
    margin: 10px;
}

/* #endregion */

/* #region Navbar and footer styling */
nav,
footer {
    min-height: 39.2px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
    text-align: center;
    background-color: #00000020;
    position: relative;
}

nav ul,
footer ul {
    display: flex;
    flex-direction: row;
    padding: 0;
    align-items: center;
    justify-content: center;
}

nav li,
footer li {
    list-style: none;
    border-radius: 4px;
}

nav li a,
footer li a {
    color:#000;
    display: block;
    padding: 12px;
    text-decoration: none;
}

nav a:hover {
    background-color: #00000010;
}

nav a:visited {
    color: inherit;
}

footer a:hover {
    transform: scale(1.2);
}

footer img {
    height: 26px;
}

/* #endregion */

/* #region prefers dark mode ------------------------------------ */

@media screen and (prefers-color-scheme: dark) {
    body {
        color: #fff;
        background: #333;
    }

    footer img {
        filter: invert();
    }

    nav li a,
    footer li a {
        color:#fff;
    }
}

/* #endregion prefers dark mode */